// 	Skybox

textures/ef_facade/sky2
{
	qer_editorimage env/box365/box365_ft
	q3map_lightmapFilterRadius 0 4	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	q3map_sunEXT 1 0.788 0.347 150 100 50 3 16	
	q3map_skyLight 150 4
	q3map_lightRGB 1 0.788 0.347		
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	skyparms env/box365/box365 - -
	nopicmip
	nomipmaps
}

//	Water

textures/ef_facade/water2
{
	qer_editorimage textures/ef_facade/water.tga
	qer_trans 0.5
        	q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1
        	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        	surfaceparm water
	cull none
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        	{
		map textures/ef_facade/water.tga
		blendFunc blend
	    	alphaGen const 0.1
            		rgbGen identity
            		tcMod scale 0.5 0.5
	    	tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map textures/ef_facade/water.tga
		blendFunc blend
	    	alphaGen const 0.1
            		rgbGen identity
            		tcMod scroll .05 -.01
	}
	{
		map textures/ef_facade/water.tga
		blendFunc blend
		alphaGen const 0.1
		rgbGen identity
            		tcMod scale 2 2
	    	tcMod turb 0 0.1 1 .1
	}
}

textures/ef_facade/fs_rain2
{
	qer_editorimage textures/ef_facade/fs_rain2.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	{
		map textures/ef_facade/fs_rain2.tga
		tcMod Scroll -0.125 -2
		//alphaFunc GE128
		//depthWrite
		blendfunc add		
        }
}

textures/ef_facade/watercaulk
{
	qer_editorimage textures/ef_facade/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/ef_facade/waterplant_2
{
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/ef_facade/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ef_facade/lilly1_1
{
	qer_editorimage textures/ef_facade/lilly1.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	cull none 
	nopicmip		
	{
		map textures/ef_facade/lilly1.tga
		alphaFunc GE128
		depthWrite
		//tcmod rotate -2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ef_facade/lilly1_2
{
	qer_editorimage textures/ef_facade/lilly1.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	cull none 
	nopicmip		
	{
		map textures/ef_facade/lilly1.tga
		alphaFunc GE128
		depthWrite
		//tcmod rotate 1
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ef_facade/lilly1_still
{
	qer_editorimage textures/ef_facade/lilly1.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	cull none 
	nopicmip		
	{
		map textures/ef_facade/lilly1.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ef_facade/reed1a
{
	qer_editorimage textures/ef_facade/reed1a.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	cull none 
	nopicmip	
	//deformVertexes wave 64 sin 0 3 0 0.1	
	{
		map textures/ef_facade/reed1a.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ef_facade/watergunk
{
	qer_editorimage textures/ef_facade/watergunk.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	//q3map_bouncescale 0.0
	q3map_vertexScale 1.5
	polygonoffset
	nopicmip
	{
		map textures/ef_facade/watergunk.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

//	Models

models/mapobjects/ef_facade/Lumiere
{
	qer_editorimage models/mapobjects/ef_facade/Lumiere.jpg
	qer_trans .2
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/KOsAD_FlammeBougie
{
	qer_editorimage textures/ef_facade/KOsAD_FlammeBougie1.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformvertexes autosprite2
	{
		animmap 50 textures/ef_facade/KOsAD_FlammeBougie1.tga textures/ef_facade/KOsAD_FlammeBougie2.tga textures/ef_facade/KOsAD_FlammeBougie3.tga textures/ef_facade/KOsAD_FlammeBougie4.tga textures/ef_facade/KOsAD_FlammeBougie5.tga textures/ef_facade/KOsAD_FlammeBougie6.tga textures/ef_facade/KOsAD_FlammeBougie7.tga textures/ef_facade/KOsAD_FlammeBougie8.tga
		blendfunc add
	}
}

models/mapobjects/ef_facade/KOsAD_FlammeBougie
{
	q3map_cloneshader textures/ef_facade/KOsAD_FlammeBougie
	q3map_surfacelight 50000
	q3map_lightrgb .9 .85 .6
	q3map_backsplash 75 32
	{
		map $lightmap
		blendfunc filter
	}
}

models/mapobjects/ef_facade/glass
{
	qer_editorimage models/mapobjects/ef_facade/glass_abbey.tga
	q3map_lightimage models/mapobjects/ef_facade/glass_abbey_colour.tga
	surfaceparm nomarks
	q3map_surfacelight 40000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map models/mapobjects/ef_facade/glass_abbey.tga
		blendfunc gl_zero gl_src_alpha
	}
	{
		map models/mapobjects/ef_facade/glass_abbey.tga
		blendfunc filter
		rgbGen identity
	}
}

models/mapobjects/ef_facade/glass03
{
	qer_editorimage models/mapobjects/ef_facade/glass03.tga
	qer_trans .5
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_facade/white.tga
		blendfunc add
	}
	{
		map models/mapobjects/ef_facade/glass03.tga
		blendfunc filter
	}
}

models/mapobjects/ef_facade/bark3_512
{
	q3map_vertexscale 2
	{
		map models/mapobjects/ef_facade/bark3_512.tga
		rgbGen vertex
	}
}

models/mapobjects/ef_facade/branch_t
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
		map models/mapobjects/ef_facade/branch_t.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
	} 
}

textures/ef_facade/bulb
{
	q3map_lightimage textures/ef_facade/light_white.tga
	qer_editorimage textures/ef_facade/bulb.tga
	q3map_forceMeta
	//q3map_lightsubdivide 64
	//q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 100
	surfaceparm trans
	{
		map textures/ef_facade/bulb.tga
		rgbgen identity
	}
	{
		map textures/ef_facade/bulb_add.tga
		blendfunc blend
		alphagen const 0.3
	}
}

textures/ef_facade/glass
{
	qer_editorimage textures/ef_facade/chrome_metal.tga
	qer_trans 0.7
	q3map_forceMeta
	surfaceparm lightfilter	
	surfaceparm trans
	cull none

	{
		map textures/ef_facade/chrome_metal.tga
		blendfunc blend
		alphagen const 0.3
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
	}
}

models/mapobjects/ef_facade/glass03
{
	qer_editorimage models/mapobjects/ef_facade/glass03.tga
	q3map_forceMeta
	surfaceparm nodlight
	surfaceparm nolightmap
	q3map_vertexScale 1.6
	{
		map models/mapobjects/ef_facade/glass03.tga
		rgbGen vertex
		
	}
}

models/mapobjects/ef_facade/precastskin
{
	qer_editorimage models/mapobjects/ef_facade/precastskin.tga
	q3map_forceMeta
	q3map_vertexScale 1.2
	{
		map models/mapobjects/ef_facade/precastskin.tga
		rgbGen vertex
		
	}
}

models/mapobjects/ef_facade/lamp/glass_wave
{
	q3map_lightimage textures/ef_facade/env/color.tga
	q3map_forceMeta
	//q3map_lightsubdivide 64
	q3map_lightmapFilterRadius 0 8
	surfaceparm nolightmap
	q3map_surfacelight 33000 
	{
		map models/mapobjects/ef_facade/lamp/glass_wave.tga
		rgbGen vertex
	}	
}

models/mapobjects/ef_facade/del_sidelamp
{
	q3map_lightimage textures/ef_facade/env/color.tga
	q3map_forceMeta
	q3map_vertexScale 1.2
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2000 
	surfaceparm pointlight
	{
		map models/mapobjects/ef_facade/del_sidelamp.tga
		rgbgen identity
	}
	{
		map models/mapobjects/ef_facade/del_sidelamp_add.tga
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/ef_facade/br_rose
{
	qer_editorimage models/mapobjects/ef_facade/br_rose.tga
	q3map_forceMeta
	q3map_bouncescale 0.0
	cull none
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/br_rose.tga
		alphaFunc GE128
		depthWrite
		//blendfunc add
		rgbGen vertex
	}
}

models/mapobjects/ef_facade/statue2
{
	qer_editorimage models/mapobjects/ef_facade/statue2.tga
	q3map_forcemeta
	q3map_vertexScale 2.0
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.5
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/statue2.tga
		alphaFunc GE128
		depthWrite
		//rgbgen exactvertex
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/u_vbase
{
	qer_editorimage models/mapobjects/ef_facade/u_vbase.tga
	q3map_forcemeta
	q3map_vertexScale 1.3
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	nopicmip
	{
		map models/mapobjects/ef_facade/u_vbase.tga
		//rgbgen exactvertex
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_barrier
{
	qer_editorimage models/mapobjects/ef_facade/br_barrier.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	nopicmip
	{
		map models/mapobjects/ef_facade/br_barrier.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_crystals
{
	qer_editorimage models/mapobjects/ef_facade/br_crystals.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/br_crystals.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_lamp1
{
	qer_editorimage models/mapobjects/ef_facade/br_lamp1.tga
	q3map_forcemeta
	surfaceparm pointlight
	surfaceparm trans
	q3map_bouncescale 0.0
	{
		map models/mapobjects/ef_facade/br_lamp1.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_lampshade1
{
	qer_editorimage models/mapobjects/ef_facade/br_lampshade1.tga
	q3map_forcemeta
	qer_trans 0.8
	q3map_surfacelight 1000
	surfaceparm pointlight
	surfaceparm trans
	q3map_bouncescale 0.0	
	nopicmip
	cull none
	{
		map models/mapobjects/ef_facade/br_lampshade1.tga
		blendfunc blend
		alphaGen const 0.8
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_paper2
{
	qer_editorimage models/mapobjects/ef_facade/br_paper2.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/br_paper2.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/br_paper3
{
	qer_editorimage models/mapobjects/ef_facade/br_paper3.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/br_paper3.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

//models/mapobjects/props/barrel
//{
//	qer_editorimage models/mapobjects/props/barrel.tga
//	q3map_forcemeta
//
//	surfaceparm trans
//	surfaceparm pointlight
//	{
//		map models/mapobjects/props/barrel.tga
//		rgbgen vertex
//	}
//}

models/mapobjects/ef_facade/book
{
	qer_editorimage models/mapobjects/ef_facade/book.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	{
		map models/mapobjects/ef_facade/book.tga
		rgbgen vertex
	}
}

//textures/ef_facade/cart1
//{
//	qer_editorimage textures/ef_facade/cart1.tga
//	q3map_forcemeta
//
//	surfaceparm trans
//	surfaceparm pointlight
//	{
//		map textures/ef_facade/cart1.tga
//		rgbgen vertex
//	}
//}

models/mapobjectsef_facade/grey104
{
	qer_editorimage models/mapobjects/ef_facade/grey104.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	{
		map models/mapobjects/ef_facade/grey104.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_facade/thistle
{
	qer_editorimage models/mapobjects/ef_facade/thistle.tga
	q3map_vertexScale 1.2
	q3map_forcemeta
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_facade/thistle.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
		//rgbgen exactvertex
	}
}

//	Terrain

textures/ef_facade/grass_mud_phong
{
	qer_editorimage textures/ef_facade/ground1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/ef_facade/ground2.tga
	}
	{
		map textures/ef_facade/ground1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/ground_stones_pr
{
	q3map_nonplanar
    	q3map_shadeangle 90
    	//q3map_lightmapMergable
    	qer_editorimage textures/ef_facade/ground_stones_pr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/ef_facade/ground_stones_pr.tga
        		blendFunc filter
   	 }
}

textures/ef_facade/sn_wall14
{
	q3map_nonplanar
    	q3map_shadeangle 90
    	//q3map_lightmapMergable
    	qer_editorimage textures/ef_facade/sn_wall14.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/ef_facade/sn_wall14.tga
        		blendFunc filter
	}
}

textures/ef_facade/sn_wall27
{
	q3map_nonplanar
    	q3map_shadeangle 90
    	//q3map_lightmapMergable
    	qer_editorimage textures/ef_facade/sn_wall27.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/ef_facade/sn_wall27.tga
		blendFunc filter
	}
}

//	Foliage

textures/ef_facade/ivy
{
	qer_editorimage textures/ef_facade/ivy.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	//cull none 		//save tris :>
	qer_alphaFunc gequal 0.5
	{
		map textures/ef_facade/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/ivy2
{
	qer_editorimage textures/ef_facade/ivy_down.tga
	qer_trans 0.99
	q3map_vertexScale 1.2
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map textures/ef_facade/ivy_down.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/ivy3
{
	qer_editorimage textures/ef_facade/ivy_down2.tga	
	qer_trans 0.99
	q3map_vertexScale 1.2
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map textures/ef_facade/ivy_down2.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/ivy_1
{
	qer_editorimage textures/ef_facade/ivy1.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map textures/ef_facade/ivy1.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/ivy_2
{
	qer_editorimage textures/ef_facade/ivy2.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map textures/ef_facade/ivy2.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/ivy_windy
{
	qer_editorimage textures/ef_facade/ivy.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/ef_facade/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/ef_facade/keres4_vegetation01
{
	qer_editorimage textures/ef_facade/keres4_vegetation01.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	{
		map textures/ef_facade/keres4_vegetation01.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}

textures/ef_facade/keres4_vegetation02
{
	qer_editorimage textures/ef_facade/keres4_vegetation02.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	{
		map textures/ef_facade/keres4_vegetation02.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}

textures/ef_facade/ivy_wall_up
{
	qer_editorimage textures/ef_facade/ivy_climb1.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	{
		map textures/ef_facade/ivy_climb1.tga
		blendfunc blend
		//rgbgen vertex
		rgbgen exactvertex
	}
	
}

textures/ef_facade/sn_flowers
{
	qer_editorimage textures/ef_facade/sn_flowers.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bouncescale 0.2
	{
		map textures/ef_facade/sn_flowers.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_facade/flowers
{
	qer_editorimage textures/ef_facade/flowers.tga
	qer_trans 0.99
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ef_facade/flowers.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/flowers_2
{
	qer_editorimage textures/ef_facade/flowers_2.tga
	cull none
	qer_trans 0.99
	nopicmip
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ef_facade/flowers_2.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/flowers_3
{
	qer_editorimage textures/ef_facade/flowers_3.tga
	cull none
	nopicmip
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ef_facade/flowers_3.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

//	Assorted Decals

textures/ef_facade/decal_dirt2
{ 
	qer_editorimage textures/ef_facade/decal_dirt2.tga
	qer_trans 0.60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_facade/decal_dirt2.tga
		blendfunc filter
	}
}

textures/ef_facade/decal_dirt3
{ 
	qer_editorimage textures/ef_facade/decal_dirt3.tga
	qer_trans 0.60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_facade/decal_dirt3.tga
		blendfunc filter
	}
}

textures/ef_facade/decal_dirt6
{ 
	qer_editorimage textures/ef_facade/decal_dirt6.tga
	qer_trans 0.60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_facade/decal_dirt6.tga
		blendfunc filter
	}
}

textures/ef_facade/clothes_sheet
{
	qer_editorimage textures/ef_facade/sheet.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/ef_facade/sheet.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_facade/clothes_tanktop
{
	qer_editorimage textures/ef_facade/sn_tanktop.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/ef_facade/sn_tanktop.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_facade/clothes_jeanz
{
	qer_editorimage textures/ef_facade/sn_jeans.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/ef_facade/sn_jeans.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_facade/wood_fence
{
	qer_editorimage textures/ef_facade/wood_fence.tga
	cull none
	nopicmip
	q3map_lightmapSampleSize 0
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ef_facade/wood_fence.tga
		tcmod scale 2 2
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/del_moss_leak
{
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/ef_facade/del_moss_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/ef_facade/decal_fence_2
{
	qer_editorimage textures/ef_facade/fence_2.tga
	//q3map_lightmapSampleSize 0
	//surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	cull none
	nopicmip
	{
		map textures/ef_facade/fence_2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/sn_fence1
{
	qer_editorimage textures/ef_facade/sn_fence1.tga
	cull none
	q3map_vertexScale 1.2
	//q3map_lightmapSampleSize 0
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	sort 6
	nopicmip
	{
		map textures/ef_facade/sn_fence1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/decal_crack_1
{
	qer_editorimage textures/ef_facade/decal_crack1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/decal_crack1.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_broken_floor_1
{
	qer_editorimage textures/ef_facade/decal_broken_floor.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/decal_broken_floor.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/ef_facade/decal_conc_crack_vert
{
	qer_editorimage textures/ef_facade/decal_conc_crack_vert.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/decal_conc_crack_vert.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_conc_cracks
{
	qer_editorimage textures/ef_facade/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_keres4_decal02
{
	qer_editorimage textures/ef_facade/keres4_decal02.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/keres4_decal02.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_keres4_decal06
{
	qer_editorimage textures/ef_facade/keres4_decal06.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/keres4_decal06.tga
		blendfunc gl_dst_color gl_src_color
	}
} 

textures/ef_facade/decal_keres4_decal10
{
	qer_editorimage textures/ef_facade/keres4_decal10.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/keres4_decal10.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_keres4_decal23
{
	qer_editorimage textures/ef_facade/keres4_decal23.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/keres4_decal23.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal1
{
	qer_editorimage textures/ef_facade/del_decal1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal1.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal2
{
	qer_editorimage textures/ef_facade/del_decal2.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal2.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal3
{
	qer_editorimage textures/ef_facade/del_decal3.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal3.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal4
{
	qer_editorimage textures/ef_facade/del_decal4.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal4.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal5
{
	qer_editorimage textures/ef_facade/del_decal5.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal5.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_del_decal6
{
	qer_editorimage textures/ef_facade/del_decal6.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/del_decal6.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/decal_conc_cracks
{
	qer_editorimage textures/ef_facade/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}

//so many lols

textures/ef_facade/strafe
{
	qer_editorimage textures/ef_facade/strafe.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/strafe.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/gaydetters
{
	qer_editorimage textures/ef_facade/gaydetters.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/gaydetters.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/jim1
{
	qer_editorimage textures/ef_facade/jim1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/jim1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/jim2
{
	qer_editorimage textures/ef_facade/jim2.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/jim2.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/jim3
{
	qer_editorimage textures/ef_facade/jim3.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/jim3.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/founder1
{
	qer_editorimage textures/ef_facade/founder1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/founder1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/loc1
{
	qer_editorimage textures/ef_facade/loc1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/loc1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/campers
{
	qer_editorimage textures/ef_facade/campers.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/campers.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/cyb1
{
	qer_editorimage textures/ef_facade/cyb1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/cyb1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/skunk
{
	qer_editorimage textures/ef_facade/skunk.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/skunk.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/zed
{
	qer_editorimage textures/ef_facade/zed.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/zed.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/pepsi
{
	qer_editorimage textures/ef_facade/pepsi.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/pepsi.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/bitch
{
	qer_editorimage textures/ef_facade/bitch.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/bitch.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/tin1
{
	qer_editorimage textures/ef_facade/tin1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/tin1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/tin2
{
	qer_editorimage textures/ef_facade/tin2.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/tin2.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/archer1
{
	qer_editorimage textures/ef_facade/archer1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/archer1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/billy
{
	qer_editorimage textures/ef_facade/billy.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/billy.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/night1
{
	qer_editorimage textures/ef_facade/night1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/night1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/flo1
{
	qer_editorimage textures/ef_facade/flo1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/flo1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/biz1
{
	qer_editorimage textures/ef_facade/biz1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/biz1.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}


textures/ef_facade/morb
{
	qer_editorimage textures/ef_facade/morb.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/morb.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/nice
{
	qer_editorimage textures/ef_facade/nice.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/nice.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/chilla
{
	qer_editorimage textures/ef_facade/chilla.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/chilla.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/wymie
{
	qer_editorimage textures/ef_facade/wymie.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/wymie.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/key
{
	qer_editorimage textures/ef_facade/key.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/key.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/lego
{
	qer_editorimage textures/ef_facade/lego.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/lego.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/welsh
{
	qer_editorimage textures/ef_facade/welsh.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/welsh.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/quad
{
	qer_editorimage textures/ef_facade/quad.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/quad.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/right
{
	qer_editorimage textures/ef_facade/right.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/right.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/room
{
	qer_editorimage textures/ef_facade/room.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/room.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_facade/dirt
{
	qer_editorimage textures/ef_facade/dirt.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ef_facade/dirt.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}


//	Misc

textures/ef_facade/trim_1
{
	qer_editorimage textures/ef_facade/trim_1.tga
	cull none
	nopicmip
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ef_facade/trim_1.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/fill_sky_bright
{
	qer_trans 0.50
    	qer_editorimage textures/ef_facade/fill_sky.tga
    	q3map_lightsubdivide 64	//32
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	surfaceparm nomarks
    	surfaceparm trans
    	skyparms - - -
	q3map_backSplash -1 -1
    	q3map_lightRGB 1 0.788 0.347
    	q3map_surfacelight 100
}

textures/ef_facade/cei_strip_light_br2
{
	q3map_lightimage textures/ef_facade/env/color.tga
	qer_editorimage textures/ef_facade/e6v_light.tga
	q3map_lightsubdivide 64
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 800
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ef_facade/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ef_facade/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/ef_facade/suncloth
{
	qer_editorimage textures/ef_facade/del_suncloth.tga   
	qer_trans 0.7
	//q3map_cloneshader textures/ef_facade/suncloth_back

	surfaceparm lightfilter		// Colored alpha shadows in lightmap.
	//surfaceparm alphashadow	//gives no color on alpha shadows >.>
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 10		//Smoke loads infront of suncloth
	cull none		
	{
		map textures/ef_facade/del_suncloth.tga
		blendfunc blend
		alphagen const 0.875
		//rgbgen vertex
		rgbgen exactVertex
	}
}

//bottom of model was going invisible when vertex lit? 
//when identity lit it was "over bright" and awefull
//textures/ef_facade/suncloth_back
//{
//	qer_editorimage textures/ef_facade/del_suncloth.tga  
//	q3map_invert
//	surfaceparm trans
//	sort 10		//smoke loads behind suncloth
//
//	{
//		map textures/ef_facade/del_suncloth.tga
//		blendfunc blend
//		alphagen const 0.95
//		//rgbgen vertex
//		rgbgen exactVertex
//	}
//}

textures/ef_facade/washedwall_shader
{
	qer_editorimage textures/ef_facade/washedwall.tga
	surfaceparm trans
	cull none
	{
		map textures/ef_facade/washedwall.tga
		//rgbGen vertex
	}
	{
		map $lightmap
      		blendFunc GL_DST_COLOR GL_ZERO
      		rgbGen vertex
   	}
}

//this side faces the brighter side
textures/ef_facade/metal_fence
{
	qer_editorimage textures/ef_facade/metal_sheet.tga
	q3map_shadeangle 30
	q3map_nonplanar
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_cloneshader textures/ef_facade/metal_fence_back
	{
		map textures/ef_facade/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/ef_facade/metal_fence_back
{
	qer_editorimage textures/ef_facade/metal_sheet.tga
	q3map_shadeangle 30
	q3map_nonplanar
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_invert
	{
		map textures/ef_facade/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

//this side faces the brighter side
textures/ef_facade/cloth
{
	qer_editorimage textures/ef_facade/cloth.tga
	nopicmip
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_cloneshader textures/ef_facade/cloth_back
	{
		map textures/ef_facade/cloth.tga
		rgbgen vertex
		//rgbgen identity
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbgen identity
	//}
}

textures/ef_facade/cloth_back
{
	qer_editorimage textures/ef_facade/cloth.tga
	nopicmip
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_invert
	{
		map textures/ef_facade/cloth.tga
		rgbgen vertex
		//rgbgen identity
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbgen identity
	//}
}

//a clip that has different footstep sounds
textures/ef_facade/clipmarx_pavement
{
	qer_trans 0.5
      	surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
	{
		map $whiteimage
		blendfunc filter
	}
}

textures/ef_facade/clipmarx_steel
{
	qer_trans 0.5
      	surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
	{
		map $whiteimage
		blendfunc filter
	}
}

textures/ef_facade/glass-yel
{
	qer_editorimage textures/ef_facade/tinfx-yel.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ef_facade/tinfx-yel.tga
		blendfunc blend
		alphaGen 0.3
		tcgen environment
		rgbGen identity
		//tcmod turb  0 0.3 0.75 0.0001
	}
}

textures/ef_facade/sn_metal1
{   
	qer_editorimage textures/ef_facade/sn_metal1.tga
	{
		map textures/ef_facade/sn_metal1.tga
		rgbGen identity
	} 
	{
		map textures/ef_facade/tinfx.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/ef_facade/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/ef_facade/ladderclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/ef_facade/clip_nokick
{
	qer_editorimage textures/ef_facade/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}

textures/ef_facade/shadow 
{ 
	qer_editorimage textures/ef_facade/shadow1.tga 
	qer_trans 0.50
	q3map_pointlight 
    	surfaceparm nonsolid 
    	surfaceparm nomarks
    	surfaceparm noimpact 
    	{ 
			map $whiteimage 
        		alphagen const 0 
        		alphafunc GT0
    	} 
}

textures/ef_facade/gold_shader
{
	qer_editorimage textures/ef_facade/gold_base.tga
	q3map_shadeangle 30
	q3map_nonplanar
	{
		map textures/ef_facade/gold_base.tga
		rgbgen exactvertex
	}
	{
		map textures/ef_facade/gold_effect3.tga
		rgbgen exactvertex
		blendfunc gl_dst_color gl_one
		tcgen environment
	}
}

textures/ef_facade/vents_0
{
	qer_editorimage textures/ef_facade/vents_0.tga
	qer_trans 0.99
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	nopicmip
	q3map_cloneshader textures/ef_facade/vents_0_back
	{
		map textures/ef_facade/vents_0.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/vents_0_back
{
	qer_editorimage textures/ef_facade/vents_0.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	nopicmip
	q3map_invert
	{
		map textures/ef_facade/vents_0.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_facade/bar
{
	qer_editorimage textures/ef_facade/bar_blend.tga
	//q3map_surfacelight 300
	nopicmip
	{
		map textures/ef_facade/bar.tga
		rgbgen identity
	}
	{
		map textures/ef_facade/bar_blend.tga
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/black_fog
{
	qer_editorimage textures/ef_facade/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm fog
	fogparms ( 0 0 0 ) 512
	q3map_bouncescale 0
}

textures/ef_facade/door_green
{
	//q3map_lightmapBrightness 1.4
	nopicmip
	{	
		map textures/ef_facade/door_green.tga
	}
	{
		map textures/ef_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ef_facade/door_green.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/metal_1_red
{
	qer_editorimage textures/ef_facade/metal_1_red.tga
	q3map_forcemeta
	q3map_clipmodel
	q3map_vertexScale 1.2
	surfaceparm trans
	nopicmip
	//cull none

	q3map_cloneshader textures/ef_facade/metal_1_red_back
	{
		map textures/ef_facade/metal_1_red.tga
		rgbgen vertex
	}
	{
		map textures/ef_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen vertex
	}
	{
		map textures/ef_facade/metal_1_red.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//}
}

textures/ef_facade/metal_1_red_back
{
	qer_editorimage textures/ef_facade/metal_1_red.tga
	q3map_forcemeta
	q3map_clipmodel
	surfaceparm trans
	q3map_invert
	{
		map textures/ef_facade/metal_1_red.tga
		rgbgen vertex
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//}
}

textures/ef_facade/metal_2_blue
{
	qer_editorimage textures/ef_facade/metal_2_blue.tga
	q3map_forcemeta
	q3map_clipmodel
	q3map_vertexScale 1.2
	surfaceparm trans
	//cull none
	
	q3map_cloneshader textures/ef_facade/metal_2_blue_back
	{
		map textures/ef_facade/metal_2_blue.tga
		rgbgen vertex
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//}
}

textures/ef_facade/metal_2_blue_back
{
	qer_editorimage textures/ef_facade/metal_2_blue.tga
	q3map_forcemeta
	q3map_clipmodel
	surfaceparm trans	
	q3map_invert
	{
		map textures/ef_facade/metal_2_blue.tga
		rgbgen vertex
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//}
}

//	Windows

textures/ef_facade/sn_window2
{
	qer_editorimage textures/ef_facade/sn_window2.tga
	q3map_lightmapBrightness 1.4
	{	
		map textures/ef_facade/sn_window2.tga
	}
	{
		map textures/ef_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ef_facade/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/sn_window8
{
	qer_editorimage textures/ef_facade/sn_window8.tga
	q3map_lightmapBrightness 1.4
	{	
		map textures/ef_facade/sn_window8.tga
	}
	{
		map textures/ef_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ef_facade/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

//textures/ef_facade/oldwindow
//{
//	q3map_lightimage textures/ef_facade/env/color.tga
//	qer_editorimage textures/ef_facade/oldnews01b_d.tga
//	q3map_lightsubdivide 64	//32
//	//q3map_lightmapFilterRadius 0 8
//	q3map_surfacelight 7000
//	nopicmip
//	{
//		map textures/ef_facade/oldnews01b_d.tga
//		rgbgen identity
//	}
//	{
//		map $lightmap
//		blendfunc filter
//	}
//	{
//		map textures/ef_facade/oldnews01_mask.tga
//		blendfunc add
//	}
//}

//textures/ef_facade/oldwindow_nolight
//{
//	qer_editorimage textures/ef_facade/oldnews01b_d.tga
//	nopicmip
//	{
//		map textures/ef_facade/oldnews01b_d.tga
//		rgbgen identity
//	}
//	{
//		map $lightmap
//		blendfunc filter
//	}
//}

textures/ef_facade/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/ef_facade/parpaingwind01cadrb_d.tga
	}
	{
		map textures/ef_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ef_facade/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ef_facade/parpaingwind01cadrb_light
{
	q3map_lightimage textures/ef_facade/env/color.tga
	qer_editorimage textures/ef_facade/parpaingwind01cadrb_add.tga
	q3map_lightsubdivide 64	//32
	//q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 5000
	nopicmip
	{
		map textures/ef_facade/parpaingwind01cadrb_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ef_facade/parpaingwind01cadrb_add.tga
		blendfunc add
	}
}

textures/ef_facade/parpaingwind01cadrb_d
{
	qer_editorimage textures/ef_facade/parpaingwind01cadrb_d.tga
	nopicmip
	{
		map textures/ef_facade/parpaingwind01cadrb_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/abbey2_wall10_nonsolid
{
	qer_editorimage textures/ef_facade/abbey2_wall10.tga
	surfaceparm nonsolid
	{
		map textures/ef_facade/abbey2_wall10.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/abbey2_wall7t_nonsolid
{
	qer_editorimage textures/ef_facade/abbey2_wall7t.tga
	surfaceparm nonsolid
	{
		map textures/ef_facade/abbey2_wall7t.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_facade/del_doormat
{
	qer_editorimage textures/ef_facade/del_doormat.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	{
		map textures/ef_facade/del_doormat.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//	LevelShot Hax

levelshots/ut4_facade_b5
{
	nopicmip
	nomipmaps
	{
		map levelshots/ef_facade.tga
	}
	//{
	//      	map levelshots/ef_facade_2.tga
	//	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.03
	//}	
}

// Smoke

textures/ef_facade/smoke
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 116 sawtooth 0 1 0 0.1359
	deformvertexes move 12.6041 -5.39432 0 sawtooth 0 1 0 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0 0.1359
		tcMod rotate 8
		tcMod stretch sawtooth 0.25 0.75 0 0.1359
	}
}

textures/ef_facade/zzsmoke_1
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 112 sawtooth 0 1 0.05 0.1359
	deformvertexes move -1.54001 1.11412 0 sawtooth 0 1 0.05 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.05 0.1359
		tcMod rotate -14
		tcMod stretch sawtooth 0.25 0.75 0.05 0.1359
	}
}

textures/ef_facade/zzsmoke_2
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 141 sawtooth 0 1 0.1 0.1359
	deformvertexes move 27.2317 -25.8203 0 sawtooth 0 1 0.1 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.1 0.1359
		tcMod rotate 5
		tcMod stretch sawtooth 0.25 0.75 0.1 0.1359
	}
}

textures/ef_facade/zzsmoke_3
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 112 sawtooth 0 1 0.15 0.1359
	deformvertexes move 16.4857 -16.1801 0 sawtooth 0 1 0.15 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.15 0.1359
		tcMod rotate -9
		tcMod stretch sawtooth 0.25 0.75 0.15 0.1359
	}
}

textures/ef_facade/zzsmoke_4
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 118 sawtooth 0 1 0.2 0.1359
	deformvertexes move 16.714 -12.7391 0 sawtooth 0 1 0.2 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.2 0.1359
		tcMod rotate -2
		tcMod stretch sawtooth 0.25 0.75 0.2 0.1359
	}
}

textures/ef_facade/zzsmoke_5
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 125 sawtooth 0 1 0.25 0.1359
	deformvertexes move 23.9641 -12.6199 0 sawtooth 0 1 0.25 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.25 0.1359
		tcMod rotate -7
		tcMod stretch sawtooth 0.25 0.75 0.25 0.1359
	}
}

textures/ef_facade/zzsmoke_6
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 116 sawtooth 0 1 0.3 0.1359
	deformvertexes move 2.55656 -2.68841 0 sawtooth 0 1 0.3 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.3 0.1359
		tcMod rotate 2
		tcMod stretch sawtooth 0.25 0.75 0.3 0.1359
	}
}

textures/ef_facade/zzsmoke_7
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 133 sawtooth 0 1 0.35 0.1359
	deformvertexes move 18.4323 -14.2615 0 sawtooth 0 1 0.35 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.35 0.1359
		tcMod rotate 18
		tcMod stretch sawtooth 0.25 0.75 0.35 0.1359
	}
}

textures/ef_facade/zzsmoke_8
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 113 sawtooth 0 1 0.4 0.1359
	deformvertexes move 14.6413 -9.12475 0 sawtooth 0 1 0.4 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.4 0.1359
		tcMod rotate 4
		tcMod stretch sawtooth 0.25 0.75 0.4 0.1359
	}
}

textures/ef_facade/zzsmoke_9
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 148 sawtooth 0 1 0.45 0.1359
	deformvertexes move 30.403 -16.5075 0 sawtooth 0 1 0.45 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.45 0.1359
		tcMod rotate -10
		tcMod stretch sawtooth 0.25 0.75 0.45 0.1359
	}
}

textures/ef_facade/zzsmoke_10
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 146 sawtooth 0 1 0.5 0.1359
	deformvertexes move 8.24023 -6.16314 0 sawtooth 0 1 0.5 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.5 0.1359
		tcMod rotate -2
		tcMod stretch sawtooth 0.25 0.75 0.5 0.1359
	}
}

textures/ef_facade/zzsmoke_11
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 138 sawtooth 0 1 0.55 0.1359
	deformvertexes move 13.4091 -10.561 0 sawtooth 0 1 0.55 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.55 0.1359
		tcMod rotate 20
		tcMod stretch sawtooth 0.25 0.75 0.55 0.1359
	}
}

textures/ef_facade/zzsmoke_12
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 147 sawtooth 0 1 0.6 0.1359
	deformvertexes move 12.2084 -7.71666 0 sawtooth 0 1 0.6 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.6 0.1359
		tcMod rotate -8
		tcMod stretch sawtooth 0.25 0.75 0.6 0.1359
	}
}

textures/ef_facade/zzsmoke_13
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 148 sawtooth 0 1 0.65 0.1359
	deformvertexes move 21.2178 -19.1704 0 sawtooth 0 1 0.65 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.65 0.1359
		tcMod rotate 1
		tcMod stretch sawtooth 0.25 0.75 0.65 0.1359
	}
}

textures/ef_facade/zzsmoke_14
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_15
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 128 sawtooth 0 1 0.7 0.1359
	deformvertexes move 4.70468 -2.92909 0 sawtooth 0 1 0.7 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.7 0.1359
		tcMod rotate 3
		tcMod stretch sawtooth 0.25 0.75 0.7 0.1359
	}
}

textures/ef_facade/zzsmoke_15
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_16
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 121 sawtooth 0 1 0.75 0.1359
	deformvertexes move 20.9093 -19.327 0 sawtooth 0 1 0.75 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.75 0.1359
		tcMod rotate 18
		tcMod stretch sawtooth 0.25 0.75 0.75 0.1359
	}
}

textures/ef_facade/zzsmoke_16
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_17
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 139 sawtooth 0 1 0.8 0.1359
	deformvertexes move 9.32429 -4.18737 0 sawtooth 0 1 0.8 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.8 0.1359
		tcMod stretch sawtooth 0.25 0.75 0.8 0.1359
	}
}

textures/ef_facade/zzsmoke_17
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_18
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 116 sawtooth 0 1 0.85 0.1359
	deformvertexes move 13.8129 -9.40346 0 sawtooth 0 1 0.85 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.85 0.1359
		tcMod rotate 1
		tcMod stretch sawtooth 0.25 0.75 0.85 0.1359
	}
}

textures/ef_facade/zzsmoke_18
{
	qer_editorimage textures/ef_facade/smoke
	q3map_cloneshader textures/ef_facade/zzsmoke_19
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 147 sawtooth 0 1 0.9 0.1359
	deformvertexes move 20.511 -21.1229 0 sawtooth 0 1 0.9 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.9 0.1359
		tcMod stretch sawtooth 0.25 0.75 0.9 0.1359
	}
}

textures/ef_facade/zzsmoke_19
{
	qer_editorimage textures/ef_facade/smoke
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 127 sawtooth 0 1 0.95 0.1359
	deformvertexes move 22.5931 -18.7958 0 sawtooth 0 1 0.95 0.1359
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ef_facade/smoke
		blendfunc blend
		rgbgen const ( 0.137 0.11 0.078 )
		alphagen wave sawtooth 1.7333 -1.7333 0.95 0.1359
		tcMod rotate -7
		tcMod stretch sawtooth 0.25 0.75 0.95 0.1359
	}
}

//	Alpha

textures/ef_facade/alpha_000	// Primary texture ONLY
{
	qer_editorimage textures/common/alpha_000.tga	
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ef_facade/alpha_050	// Perfect mix of both Primary + Secondary
{
	qer_editorimage textures/common/alpha_050.tga	
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

//	MISC

textures/ef_facade/cartwheel
{
      	qer_editorimage textures/ef_facade/cartwheel_128x128.tga
    	surfaceparm trans
	surfaceparm nonsolid
	cull none
      	nopicmip
	{
		map textures/ef_facade/cartwheel_128x128.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ef_facade/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}